Module org.hsqldb
Package org.hsqldb.lib

## Class IntKeyHashMapConcurrent<V>

- java.lang.Object
- - org.hsqldb.map.BaseHashMap
  - - org.hsqldb.lib.IntKeyHashMapConcurrent<V>

- All Implemented Interfaces:
    `Map<java.lang.Integer,​V>`

      public class IntKeyHashMapConcurrent<V>
      extends org.hsqldb.map.BaseHashMap
      implements Map<java.lang.Integer,​V>

  A Map of int primitives to Object values, suitable for thread-safe access.

  Iterators of keys or values are not thread-safe.

  Since:
    1.9.0
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.hsqldb.lib.Map

      `Map.Entry<K,​V>`

  - ### Field Summary

    - ### Fields inherited from class org.hsqldb.map.BaseHashMap

      `ACCESS_MAX, emptyObjectArray`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntKeyHashMapConcurrent()` |
    `IntKeyHashMapConcurrent​(int initialCapacity)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `containsKey​(int key)` |
    `boolean` | `containsKey​(java.lang.Object key)` |
    `boolean` | `containsValue​(java.lang.Object value)` |
    `Set<Map.Entry<java.lang.Integer,​V>>` | `entrySet()` |
    `V` | `get​(int key)` |
    `V` | `get​(java.lang.Integer key)` |
    `int` | `getOrderedKeyMatchCount​(int[] array)` |
    `java.util.concurrent.locks.Lock` | `getWriteLock()` |
    `Set<java.lang.Integer>` | `keySet()` |
    `int[]` | `keysToArray​(int[] array)` |
    `V` | `put​(int key, V value)` |
    `V` | `put​(java.lang.Integer key, V value)` |
    `void` | `putAll​(IntKeyHashMap<V> other)` |
    `V` | `remove​(int key)` |
    `V` | `remove​(java.lang.Object key)` |
    `Collection<V>` | `values()` |
    `<T> T[]` | `valuesToArray​(T[] array)` |

    - ### Methods inherited from class org.hsqldb.map.BaseHashMap

      `clear, clone, isEmpty, size`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hsqldb.lib.Map

      `clear, isEmpty, size`

- - ### Constructor Detail

    - #### IntKeyHashMapConcurrent

          public IntKeyHashMapConcurrent()

    - #### IntKeyHashMapConcurrent

          public IntKeyHashMapConcurrent​(int initialCapacity)
                                  throws java.lang.IllegalArgumentException

      Throws:
        `java.lang.IllegalArgumentException`

  - ### Method Detail

    - #### getWriteLock

          public java.util.concurrent.locks.Lock getWriteLock()

    - #### containsKey

          public boolean containsKey​(java.lang.Object key)

      Specified by:
        `containsKey` in interface `Map<java.lang.Integer,​V>`

    - #### containsKey

          public boolean containsKey​(int key)

    - #### containsValue

          public boolean containsValue​(java.lang.Object value)

      Specified by:
        `containsValue` in interface `Map<java.lang.Integer,​V>`

    - #### get

          public V get​(java.lang.Integer key)

      Specified by:
        `get` in interface `Map<java.lang.Integer,​V>`

    - #### get

          public V get​(int key)

    - #### put

          public V put​(java.lang.Integer key,
                       V value)

      Specified by:
        `put` in interface `Map<java.lang.Integer,​V>`

    - #### put

          public V put​(int key,
                       V value)

    - #### remove

          public V remove​(java.lang.Object key)

      Specified by:
        `remove` in interface `Map<java.lang.Integer,​V>`

    - #### remove

          public V remove​(int key)

    - #### putAll

          public void putAll​(IntKeyHashMap<V> other)

    - #### getOrderedKeyMatchCount

          public int getOrderedKeyMatchCount​(int[] array)

    - #### keysToArray

          public int[] keysToArray​(int[] array)

    - #### valuesToArray

          public <T> T[] valuesToArray​(T[] array)

    - #### keySet

          public Set<java.lang.Integer> keySet()

      Specified by:
        `keySet` in interface `Map<java.lang.Integer,​V>`

    - #### values

          public Collection<V> values()

      Specified by:
        `values` in interface `Map<java.lang.Integer,​V>`

    - #### entrySet

          public Set<Map.Entry<java.lang.Integer,​V>> entrySet()

      Specified by:
        `entrySet` in interface `Map<java.lang.Integer,​V>`